//Gfx converted using Mollusk's PAGfx Converter

//This file contains all the .h, for easier inclusion in a project

#ifndef ALL_GFX_H
#define ALL_GFX_H

#ifndef PAGfx_struct
    typedef struct{
    void *Map;
    int MapSize;
    void *Tiles;
    int TileSize;
    void *Palette;
    int *Info;
} PAGfx_struct;
#endif


// Sprite files : 
extern const unsigned char gfx_16x16_icone_gauche_Sprite[768] __attribute__ ((aligned (4))) ;  // Pal : gfx_16x16_icone_gauche_Pal
extern const unsigned char gfx_16x16_icone_droite_Sprite[768] __attribute__ ((aligned (4))) ;  // Pal : gfx_16x16_icone_droite_Pal
extern const unsigned char bille_Sprite[64] __attribute__ ((aligned (4))) ;  // Pal : bille_Pal
extern const unsigned char canal_off_Sprite[128] __attribute__ ((aligned (4))) ;  // Pal : canal_off_Pal

// Background files : 
extern const int BG0_1_Info[3]; // BgMode, Width, Height
extern const unsigned short BG0_1_Map[768] __attribute__ ((aligned (4))) ;  // Pal : BG0_1_Pal
extern const unsigned char BG0_1_Tiles[14144] __attribute__ ((aligned (4))) ;  // Pal : BG0_1_Pal
extern PAGfx_struct BG0_1; // background pointer

extern const int damier8x8_256x256_Info[3]; // BgMode, Width, Height
extern const unsigned short damier8x8_256x256_Map[1024] __attribute__ ((aligned (4))) ;  // Pal : damier8x8_256x256_Pal
extern const unsigned char damier8x8_256x256_Tiles[960] __attribute__ ((aligned (4))) ;  // Pal : damier8x8_256x256_Pal
extern PAGfx_struct damier8x8_256x256; // background pointer

extern const int BG0_3_Info[3]; // BgMode, Width, Height
extern const unsigned short BG0_3_Map[768] __attribute__ ((aligned (4))) ;  // Pal : BG0_3_Pal
extern const unsigned char BG0_3_Tiles[128] __attribute__ ((aligned (4))) ;  // Pal : BG0_3_Pal
extern PAGfx_struct BG0_3; // background pointer

extern const int BG1_3_Info[3]; // BgMode, Width, Height
extern const unsigned short BG1_3_Map[768] __attribute__ ((aligned (4))) ;  // Pal : BG1_3_Pal
extern const unsigned char BG1_3_Tiles[6720] __attribute__ ((aligned (4))) ;  // Pal : BG1_3_Pal
extern PAGfx_struct BG1_3; // background pointer

extern const int BG1_2_Info[3]; // BgMode, Width, Height
extern const unsigned short BG1_2_Map[768] __attribute__ ((aligned (4))) ;  // Pal : BG1_2_Pal
extern const unsigned char BG1_2_Tiles[256] __attribute__ ((aligned (4))) ;  // Pal : BG1_2_Pal
extern PAGfx_struct BG1_2; // background pointer

extern const int BG1_1_Info[3]; // BgMode, Width, Height
extern const unsigned short BG1_1_Map[768] __attribute__ ((aligned (4))) ;  // Pal : BG1_1_Pal
extern const unsigned char BG1_1_Tiles[1728] __attribute__ ((aligned (4))) ;  // Pal : BG1_1_Pal
extern PAGfx_struct BG1_1; // background pointer

extern const int ecran_font_Info[3]; // BgMode, Width, Height
extern const unsigned short ecran_font_Map[768] __attribute__ ((aligned (4))) ;  // Pal : ecran_font_Pal
extern const unsigned char ecran_font_Tiles[5568] __attribute__ ((aligned (4))) ;  // Pal : ecran_font_Pal
extern PAGfx_struct ecran_font; // background pointer

extern const int splash0_Info[3]; // BgMode, Width, Height
extern const unsigned short splash0_Map[768] __attribute__ ((aligned (4))) ;  // Pal : splash0_Pal
extern const unsigned char splash0_Tiles[46848] __attribute__ ((aligned (4))) ;  // Pal : splash0_Pal
extern PAGfx_struct splash0; // background pointer

extern const int splash1_Info[3]; // BgMode, Width, Height
extern const unsigned short splash1_Map[768] __attribute__ ((aligned (4))) ;  // Pal : splash1_Pal
extern const unsigned char splash1_Tiles[48896] __attribute__ ((aligned (4))) ;  // Pal : splash1_Pal
extern PAGfx_struct splash1; // background pointer


// Palette files : 
extern const unsigned short gfx_16x16_icone_gauche_Pal[160] __attribute__ ((aligned (4))) ;
extern const unsigned short gfx_16x16_icone_droite_Pal[160] __attribute__ ((aligned (4))) ;
extern const unsigned short bille_Pal[4] __attribute__ ((aligned (4))) ;
extern const unsigned short canal_off_Pal[3] __attribute__ ((aligned (4))) ;
extern const unsigned short BG0_1_Pal[201] __attribute__ ((aligned (4))) ;
extern const unsigned short damier8x8_256x256_Pal[34] __attribute__ ((aligned (4))) ;
extern const unsigned short BG0_3_Pal[2] __attribute__ ((aligned (4))) ;
extern const unsigned short BG1_3_Pal[41] __attribute__ ((aligned (4))) ;
extern const unsigned short BG1_2_Pal[5] __attribute__ ((aligned (4))) ;
extern const unsigned short BG1_1_Pal[22] __attribute__ ((aligned (4))) ;
extern const unsigned short ecran_font_Pal[17] __attribute__ ((aligned (4))) ;
extern const unsigned short splash0_Pal[204] __attribute__ ((aligned (4))) ;
extern const unsigned short splash1_Pal[181] __attribute__ ((aligned (4))) ;


#endif

